/*******************************************************************************
* File Name: Acc_Enable.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Acc_Enable_H) /* Pins Acc_Enable_H */
#define CY_PINS_Acc_Enable_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Acc_Enable_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Acc_Enable_Write(uint8 value) ;
void    Acc_Enable_SetDriveMode(uint8 mode) ;
uint8   Acc_Enable_ReadDataReg(void) ;
uint8   Acc_Enable_Read(void) ;
uint8   Acc_Enable_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Acc_Enable_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Acc_Enable_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Acc_Enable_DM_RES_UP          PIN_DM_RES_UP
#define Acc_Enable_DM_RES_DWN         PIN_DM_RES_DWN
#define Acc_Enable_DM_OD_LO           PIN_DM_OD_LO
#define Acc_Enable_DM_OD_HI           PIN_DM_OD_HI
#define Acc_Enable_DM_STRONG          PIN_DM_STRONG
#define Acc_Enable_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Acc_Enable_MASK               Acc_Enable__MASK
#define Acc_Enable_SHIFT              Acc_Enable__SHIFT
#define Acc_Enable_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Acc_Enable_PS                     (* (reg8 *) Acc_Enable__PS)
/* Data Register */
#define Acc_Enable_DR                     (* (reg8 *) Acc_Enable__DR)
/* Port Number */
#define Acc_Enable_PRT_NUM                (* (reg8 *) Acc_Enable__PRT) 
/* Connect to Analog Globals */                                                  
#define Acc_Enable_AG                     (* (reg8 *) Acc_Enable__AG)                       
/* Analog MUX bux enable */
#define Acc_Enable_AMUX                   (* (reg8 *) Acc_Enable__AMUX) 
/* Bidirectional Enable */                                                        
#define Acc_Enable_BIE                    (* (reg8 *) Acc_Enable__BIE)
/* Bit-mask for Aliased Register Access */
#define Acc_Enable_BIT_MASK               (* (reg8 *) Acc_Enable__BIT_MASK)
/* Bypass Enable */
#define Acc_Enable_BYP                    (* (reg8 *) Acc_Enable__BYP)
/* Port wide control signals */                                                   
#define Acc_Enable_CTL                    (* (reg8 *) Acc_Enable__CTL)
/* Drive Modes */
#define Acc_Enable_DM0                    (* (reg8 *) Acc_Enable__DM0) 
#define Acc_Enable_DM1                    (* (reg8 *) Acc_Enable__DM1)
#define Acc_Enable_DM2                    (* (reg8 *) Acc_Enable__DM2) 
/* Input Buffer Disable Override */
#define Acc_Enable_INP_DIS                (* (reg8 *) Acc_Enable__INP_DIS)
/* LCD Common or Segment Drive */
#define Acc_Enable_LCD_COM_SEG            (* (reg8 *) Acc_Enable__LCD_COM_SEG)
/* Enable Segment LCD */
#define Acc_Enable_LCD_EN                 (* (reg8 *) Acc_Enable__LCD_EN)
/* Slew Rate Control */
#define Acc_Enable_SLW                    (* (reg8 *) Acc_Enable__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Acc_Enable_PRTDSI__CAPS_SEL       (* (reg8 *) Acc_Enable__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Acc_Enable_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Acc_Enable__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Acc_Enable_PRTDSI__OE_SEL0        (* (reg8 *) Acc_Enable__PRTDSI__OE_SEL0) 
#define Acc_Enable_PRTDSI__OE_SEL1        (* (reg8 *) Acc_Enable__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Acc_Enable_PRTDSI__OUT_SEL0       (* (reg8 *) Acc_Enable__PRTDSI__OUT_SEL0) 
#define Acc_Enable_PRTDSI__OUT_SEL1       (* (reg8 *) Acc_Enable__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Acc_Enable_PRTDSI__SYNC_OUT       (* (reg8 *) Acc_Enable__PRTDSI__SYNC_OUT) 


#if defined(Acc_Enable__INTSTAT)  /* Interrupt Registers */

    #define Acc_Enable_INTSTAT                (* (reg8 *) Acc_Enable__INTSTAT)
    #define Acc_Enable_SNAP                   (* (reg8 *) Acc_Enable__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Acc_Enable_H */


/* [] END OF FILE */
