/*******************************************************************************
* File Name: Mode.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Mode_H) /* Pins Mode_H */
#define CY_PINS_Mode_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Mode_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Mode_Write(uint8 value) ;
void    Mode_SetDriveMode(uint8 mode) ;
uint8   Mode_ReadDataReg(void) ;
uint8   Mode_Read(void) ;
uint8   Mode_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Mode_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Mode_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Mode_DM_RES_UP          PIN_DM_RES_UP
#define Mode_DM_RES_DWN         PIN_DM_RES_DWN
#define Mode_DM_OD_LO           PIN_DM_OD_LO
#define Mode_DM_OD_HI           PIN_DM_OD_HI
#define Mode_DM_STRONG          PIN_DM_STRONG
#define Mode_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Mode_MASK               Mode__MASK
#define Mode_SHIFT              Mode__SHIFT
#define Mode_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Mode_PS                     (* (reg8 *) Mode__PS)
/* Data Register */
#define Mode_DR                     (* (reg8 *) Mode__DR)
/* Port Number */
#define Mode_PRT_NUM                (* (reg8 *) Mode__PRT) 
/* Connect to Analog Globals */                                                  
#define Mode_AG                     (* (reg8 *) Mode__AG)                       
/* Analog MUX bux enable */
#define Mode_AMUX                   (* (reg8 *) Mode__AMUX) 
/* Bidirectional Enable */                                                        
#define Mode_BIE                    (* (reg8 *) Mode__BIE)
/* Bit-mask for Aliased Register Access */
#define Mode_BIT_MASK               (* (reg8 *) Mode__BIT_MASK)
/* Bypass Enable */
#define Mode_BYP                    (* (reg8 *) Mode__BYP)
/* Port wide control signals */                                                   
#define Mode_CTL                    (* (reg8 *) Mode__CTL)
/* Drive Modes */
#define Mode_DM0                    (* (reg8 *) Mode__DM0) 
#define Mode_DM1                    (* (reg8 *) Mode__DM1)
#define Mode_DM2                    (* (reg8 *) Mode__DM2) 
/* Input Buffer Disable Override */
#define Mode_INP_DIS                (* (reg8 *) Mode__INP_DIS)
/* LCD Common or Segment Drive */
#define Mode_LCD_COM_SEG            (* (reg8 *) Mode__LCD_COM_SEG)
/* Enable Segment LCD */
#define Mode_LCD_EN                 (* (reg8 *) Mode__LCD_EN)
/* Slew Rate Control */
#define Mode_SLW                    (* (reg8 *) Mode__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Mode_PRTDSI__CAPS_SEL       (* (reg8 *) Mode__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Mode_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Mode__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Mode_PRTDSI__OE_SEL0        (* (reg8 *) Mode__PRTDSI__OE_SEL0) 
#define Mode_PRTDSI__OE_SEL1        (* (reg8 *) Mode__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Mode_PRTDSI__OUT_SEL0       (* (reg8 *) Mode__PRTDSI__OUT_SEL0) 
#define Mode_PRTDSI__OUT_SEL1       (* (reg8 *) Mode__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Mode_PRTDSI__SYNC_OUT       (* (reg8 *) Mode__PRTDSI__SYNC_OUT) 


#if defined(Mode__INTSTAT)  /* Interrupt Registers */

    #define Mode_INTSTAT                (* (reg8 *) Mode__INTSTAT)
    #define Mode_SNAP                   (* (reg8 *) Mode__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Mode_H */


/* [] END OF FILE */
