/*******************************************************************************
* File Name: St_Mot.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_St_Mot_H) /* Pins St_Mot_H */
#define CY_PINS_St_Mot_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "St_Mot_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    St_Mot_Write(uint8 value) ;
void    St_Mot_SetDriveMode(uint8 mode) ;
uint8   St_Mot_ReadDataReg(void) ;
uint8   St_Mot_Read(void) ;
uint8   St_Mot_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define St_Mot_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define St_Mot_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define St_Mot_DM_RES_UP          PIN_DM_RES_UP
#define St_Mot_DM_RES_DWN         PIN_DM_RES_DWN
#define St_Mot_DM_OD_LO           PIN_DM_OD_LO
#define St_Mot_DM_OD_HI           PIN_DM_OD_HI
#define St_Mot_DM_STRONG          PIN_DM_STRONG
#define St_Mot_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define St_Mot_MASK               St_Mot__MASK
#define St_Mot_SHIFT              St_Mot__SHIFT
#define St_Mot_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define St_Mot_PS                     (* (reg8 *) St_Mot__PS)
/* Data Register */
#define St_Mot_DR                     (* (reg8 *) St_Mot__DR)
/* Port Number */
#define St_Mot_PRT_NUM                (* (reg8 *) St_Mot__PRT) 
/* Connect to Analog Globals */                                                  
#define St_Mot_AG                     (* (reg8 *) St_Mot__AG)                       
/* Analog MUX bux enable */
#define St_Mot_AMUX                   (* (reg8 *) St_Mot__AMUX) 
/* Bidirectional Enable */                                                        
#define St_Mot_BIE                    (* (reg8 *) St_Mot__BIE)
/* Bit-mask for Aliased Register Access */
#define St_Mot_BIT_MASK               (* (reg8 *) St_Mot__BIT_MASK)
/* Bypass Enable */
#define St_Mot_BYP                    (* (reg8 *) St_Mot__BYP)
/* Port wide control signals */                                                   
#define St_Mot_CTL                    (* (reg8 *) St_Mot__CTL)
/* Drive Modes */
#define St_Mot_DM0                    (* (reg8 *) St_Mot__DM0) 
#define St_Mot_DM1                    (* (reg8 *) St_Mot__DM1)
#define St_Mot_DM2                    (* (reg8 *) St_Mot__DM2) 
/* Input Buffer Disable Override */
#define St_Mot_INP_DIS                (* (reg8 *) St_Mot__INP_DIS)
/* LCD Common or Segment Drive */
#define St_Mot_LCD_COM_SEG            (* (reg8 *) St_Mot__LCD_COM_SEG)
/* Enable Segment LCD */
#define St_Mot_LCD_EN                 (* (reg8 *) St_Mot__LCD_EN)
/* Slew Rate Control */
#define St_Mot_SLW                    (* (reg8 *) St_Mot__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define St_Mot_PRTDSI__CAPS_SEL       (* (reg8 *) St_Mot__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define St_Mot_PRTDSI__DBL_SYNC_IN    (* (reg8 *) St_Mot__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define St_Mot_PRTDSI__OE_SEL0        (* (reg8 *) St_Mot__PRTDSI__OE_SEL0) 
#define St_Mot_PRTDSI__OE_SEL1        (* (reg8 *) St_Mot__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define St_Mot_PRTDSI__OUT_SEL0       (* (reg8 *) St_Mot__PRTDSI__OUT_SEL0) 
#define St_Mot_PRTDSI__OUT_SEL1       (* (reg8 *) St_Mot__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define St_Mot_PRTDSI__SYNC_OUT       (* (reg8 *) St_Mot__PRTDSI__SYNC_OUT) 


#if defined(St_Mot__INTSTAT)  /* Interrupt Registers */

    #define St_Mot_INTSTAT                (* (reg8 *) St_Mot__INTSTAT)
    #define St_Mot_SNAP                   (* (reg8 *) St_Mot__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins St_Mot_H */


/* [] END OF FILE */
